Skip to content

Update campaign​

PUT
/api/campaigns/{id}

Authorizations​

ApiKeyHeader
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

id*
Type
integer
Required

Request Body​

application/json
JSON
{
  
"name": "string",
  
"traffic_source_id": 0,
  
"rotation_id": 0,
  
"rotation_type": "string",
  
"cost_type": "string",
  
"cost_value": 0,
  
"cost_currency": "string",
  
"cost_auto": true,
  
"redirect_type": "string",
  
"redirect_mode": "string",
  
"postback_url": "string",
  
"postback_percent": 0,
  
"payout_percent": 0,
  
"traffic_loss_percent": 0,
  
"append_campaign_url": "string",
  
"append_landing_url": "string",
  
"append_offer_url": "string",
  
"group_id": 0,
  
"domain_id": 0,
  
"hide_referrer": true,
  
"notes": "string",
  
"custom_alias": "string"
}

Responses​

Campaign updated

application/json
JSON
{
  
"message": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI